### Virtual Method

# Clutter Content get_preferred_size

#### Declaration [src]

    gboolean
    get_preferred_size (
      ClutterContent* content,
      gfloat* width,
      gfloat* height
    )

#### Description [src]

Retrieves the natural size of the `content`, if any.

The natural size of a `ClutterContent` is defined as the size the content would have regardless of the allocation of the actor that is painting it, for instance the size of an image data.

#### Parameters

`width`

  Type: `gfloat*`

  Return location for the natural width of the content.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gfloat*`

  Return location for the natural height of the content.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the content has a preferred size, and `FALSE` otherwise.